<?php

namespace App\ViewModels\FormaPagamento\FormaPagamentoRegistrationViewModel;

use App\Utils\Entity;

class CardRegistrationViewModel extends Entity {
	protected $number;
	protected $bandeira;
	protected $mes_val;
	protected $ano_val;
	protected $cvv;
	protected $titular;
	protected $codauth;
	protected $maquineta;
	protected $debcred;

	public static function builder(): CardRegistrationViewModelBuilder {

		$card_registration_view_model_builder = new CardRegistrationViewModelBuilder();
		return $card_registration_view_model_builder;

	}
	/**
	 * @return mixed
	 */
	public function getNumber() {

		return $this->number;
	}


	/**
	 * @return mixed
	 */
	public function getBandeira() {

		return $this->bandeira;
	}


	/**
	 * @return mixed
	 */
	public function getMesVal() {

		return $this->mes_val;
	}


	/**
	 * @return mixed
	 */
	public function getAnoVal() {

		return $this->ano_val;
	}


	/**
	 * @return mixed
	 */
	public function getCvv() {

		return $this->cvv;
	}


	/**
	 * @return mixed
	 */
	public function getTitular() {

		return $this->titular;
	}


	/**
	 * @return mixed
	 */
	public function getCodauth() {

		return $this->codauth;
	}


	/**
	 * @return mixed
	 */
	public function getMaquineta() {

		return $this->maquineta;
	}


	/**
	 * @return mixed
	 */
	public function getDebcred() {

		return $this->debcred;
	}


	/**
	 * @param mixed $number
	 */
	public function setNumber($number) {

		$this->number = $number;
	}


	/**
	 * @param mixed $bandeira
	 */
	public function setBandeira($bandeira) {

		$this->bandeira = $bandeira;
	}


	/**
	 * @param mixed $mes_val
	 */
	public function setMesVal($mes_val) {

		$this->mes_val = $mes_val;
	}


	/**
	 * @param mixed $ano_val
	 */
	public function setAnoVal($ano_val) {

		$this->ano_val = $ano_val;
	}


	/**
	 * @param mixed $cvv
	 */
	public function setCvv($cvv) {

		$this->cvv = $cvv;
	}


	/**
	 * @param mixed $titular
	 */
	public function setTitular($titular) {

		$this->titular = $titular;
	}


	/**
	 * @param mixed $codauth
	 */
	public function setCodauth($codauth) {

		$this->codauth = $codauth;
	}


	/**
	 * @param mixed $maquineta
	 */
	public function setMaquineta($maquineta) {

		$this->maquineta = $maquineta;
	}


	/**
	 * @param mixed $debcred
	 */
	public function setDebcred($debcred) {

		$this->debcred = $debcred;
	}



	
}
